package billing

import (
	"git.linuxforward.com/byom/byom-onboard/internal/common/models"
)

type BillingClient interface {
	CreatePaymentIntent(amount int64, currency string, paymentMethodID string) (*models.PaymentIntent, error)
	HandleWebhook(payload []byte, signature string) error
}

// TODO: Implement later
// To check available plan and prices
// Can also provide dynamic prices
// type PlanService interface {
// 	GetPlan(planID string) (*models.Plan, error)
// 	ListPlans() ([]*models.Plan, error)
// }
